Page MenuHomePhabricator

Uncaught TypeError: object is not a function
Closed, ResolvedPublic

Description

If access the URL above using Google Chrome and I try to add a link to dewiki, I get

Uncaught TypeError: object is not a function

from a line which contains this:

				: this.options.source( term );

in the file
https://bits.wikimedia.org/static-1.24wmf8/extensions/Wikidata/extensions/ValueView/lib/jquery.ui/jquery.ui.suggester.js
and I can't finish the edit.

The call stack is like this:
Uncaught TypeError: object is not a function jquery.ui.suggester.js:497
$.widget._getSuggestions jquery.ui.suggester.js:497
$.widget.search jquery.ui.suggester.js:415
(anonymous function) jquery.wikibase.siteselector.js:50
(anonymous function) jquery.event.special.eachchange.js:60
jQuery.event.dispatch load.php?debug=true&lang=pt&modules=jquery%2Cmediawiki%2CSpinner%7Cjquery.triggerQueueCallback%2Clo…:4641
jQuery.event.add.elemData.handle load.php?debug=true&lang=pt&modules=jquery%2Cmediawiki%2CSpinner%7Cjquery.triggerQueueCallback%2Clo…:4309


Version: unspecified
Severity: major
URL: https://pt.wikipedia.org/wiki/Truth?debug=1

Details

Reference
bz66554

Event Timeline

bzimport raised the priority of this task from to Unbreak Now!.Nov 22 2014, 3:24 AM
bzimport set Reference to bz66554.
bzimport added a subscriber: Unknown Object (MLST).
He7d3r created this task.Jun 12 2014, 8:26 PM

I remember having seen this, but I can't reproduce it with master/master nor with mw1.24-wmf8/0.6.1 (that's what's deployed, right?).

Confirming in Firefox 28. Also reported by other users on zhwiki.

This also sometimes happens when sitelinks are being added on WikibaseRepo site; jquery.ui.suggester.js is also used there.

Change 139369 had a related patch set uploaded by Tobias Gritschacher:
Fix Client widget according to new suggester interface

https://gerrit.wikimedia.org/r/139369

Change 139369 merged by jenkins-bot:
Fix Client widget according to new suggester interface

https://gerrit.wikimedia.org/r/139369

Change 139404 had a related patch set uploaded by Hoo man:
Fix Client widget according to new suggester interface

https://gerrit.wikimedia.org/r/139404

Change 139404 merged by jenkins-bot:
Fix Client widget according to new suggester interface

https://gerrit.wikimedia.org/r/139404

hoo added a comment.Jun 13 2014, 4:21 PM

I'm going to deploy the fix today, so that this bug will be fixed in max. 2h if everything goes right.

(In reply to Marius Hoch from comment #8)

I'm going to deploy the fix today, so that this bug will be fixed in max. 2h
if everything goes right.

Also fixed in Repo?

hoo added a comment.Jun 13 2014, 4:33 PM

(In reply to Liangent from comment #9)

Also fixed in Repo?

The component described here is client only, if there is a repo bug, please open a new bug for that. (We're also going to deploy a JS fix for repo, but that's not yet going to affect Wikidata)

(In reply to Marius Hoch from comment #10)

(In reply to Liangent from comment #9)

Also fixed in Repo?

The component described here is client only, if there is a repo bug, please
open a new bug for that. (We're also going to deploy a JS fix for repo, but
that's not yet going to affect Wikidata)

Not sure. We got a user report about this on zh:WP:VPT, but it's also mentioned there that adding sitelinks on repo doesn't work either. I can't reproduce this myself though.